Running stats
curl --request GET \
--url https://api.rewind.rest/v1/running/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/running/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/running/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"total_runs": 1350,
"total_distance_mi": 6069.88,
"total_elevation_ft": 238690.03,
"total_duration": "828:56:08",
"avg_pace": "8:12/mi",
"years_active": 17,
"first_run": "2010-09-10T17:24:19.000Z",
"eddington_number": 11
}
}{
"error": "Not found",
"status": 404
}Running
Running stats
Returns aggregate lifetime running statistics.
GET
/
v1
/
running
/
stats
Running stats
curl --request GET \
--url https://api.rewind.rest/v1/running/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/running/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/running/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"total_runs": 1350,
"total_distance_mi": 6069.88,
"total_elevation_ft": 238690.03,
"total_duration": "828:56:08",
"avg_pace": "8:12/mi",
"years_active": 17,
"first_run": "2010-09-10T17:24:19.000Z",
"eddington_number": 11
}
}{
"error": "Not found",
"status": 404
}⌘I